Index: /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/jsdl-qcg-comp-ares.xsd
===================================================================
--- /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/jsdl-qcg-comp-ares.xsd	(revision 2)
+++ /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/jsdl-qcg-comp-ares.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../../../../schemas/interface/jsdl-qcg-comp-ares.xsd
+link ../../../../../../../schemas/interface/jsdl-smoa-comp-ares.xsd
Index: /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/jsdl-qcg-comp-staging.xsd
===================================================================
--- /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/jsdl-qcg-comp-staging.xsd	(revision 2)
+++ /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/jsdl-qcg-comp-staging.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../../../../schemas/interface/jsdl-qcg-comp-staging.xsd
+link ../../../../../../../schemas/interface/jsdl-smoa-comp-staging.xsd
Index: /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-ares.xsd
===================================================================
--- /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-ares.xsd	(revision 2)
+++ /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-ares.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../../../../schemas/interface/qcg-comp-ares.xsd
+link ../../../../../../../schemas/interface/smoa-comp-ares.xsd
Index: /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-socks.wsdl
===================================================================
--- /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-socks.wsdl	(revision 2)
+++ /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-socks.wsdl	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../../../../schemas/interface/qcg-comp-socks.wsdl
+link ../../../../../../../schemas/interface/smoa-comp-socks.wsdl
Index: /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/jsdl-qcg-comp-factory.xsd
===================================================================
--- /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/jsdl-qcg-comp-factory.xsd	(revision 2)
+++ /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/jsdl-qcg-comp-factory.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../../../../schemas/interface/jsdl-qcg-comp-factory.xsd
+link ../../../../../../../schemas/interface/jsdl-smoa-comp-factory.xsd
Index: /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-ares.wsdl
===================================================================
--- /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-ares.wsdl	(revision 2)
+++ /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-ares.wsdl	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../../../../schemas/interface/qcg-comp-ares.wsdl
+link ../../../../../../../schemas/interface/smoa-comp-ares.wsdl
Index: /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-staging.wsdl
===================================================================
--- /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-staging.wsdl	(revision 2)
+++ /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-staging.wsdl	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../../../../schemas/interface/qcg-comp-staging.wsdl
+link ../../../../../../../schemas/interface/smoa-comp-staging.wsdl
Index: /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-factory.xsd
===================================================================
--- /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-factory.xsd	(revision 2)
+++ /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-factory.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../../../../schemas/interface/qcg-comp-factory.xsd
+link ../../../../../../../schemas/interface/smoa-comp-factory.xsd
Index: /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-rsync.wsdl
===================================================================
--- /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-rsync.wsdl	(revision 2)
+++ /trunk/java/WSIT/QCGComputingSDK/src/main/resources/schemas/qcg-comp-rsync.wsdl	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../../../../schemas/interface/qcg-comp-rsync.wsdl
+link ../../../../../../../schemas/interface/smoa-comp-rsync.wsdl
Index: /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-ares.wsdl
===================================================================
--- /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-ares.wsdl	(revision 2)
+++ /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-ares.wsdl	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/qcg-comp-ares.wsdl
+link ../../../../schemas/interface/smoa-comp-ares.wsdl
Index: /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-staging.wsdl
===================================================================
--- /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-staging.wsdl	(revision 2)
+++ /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-staging.wsdl	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/qcg-comp-staging.wsdl
+link ../../../../schemas/interface/smoa-comp-staging.wsdl
Index: /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-factory.xsd
===================================================================
--- /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-factory.xsd	(revision 2)
+++ /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-factory.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/qcg-comp-factory.xsd
+link ../../../../schemas/interface/smoa-comp-factory.xsd
Index: /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-rsync.wsdl
===================================================================
--- /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-rsync.wsdl	(revision 2)
+++ /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-rsync.wsdl	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/qcg-comp-rsync.wsdl
+link ../../../../schemas/interface/smoa-comp-rsync.wsdl
Index: /trunk/src/modules/qcg_comp_client/schemas/jsdl-qcg-comp-ares.xsd
===================================================================
--- /trunk/src/modules/qcg_comp_client/schemas/jsdl-qcg-comp-ares.xsd	(revision 2)
+++ /trunk/src/modules/qcg_comp_client/schemas/jsdl-qcg-comp-ares.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/jsdl-qcg-comp-ares.xsd
+link ../../../../schemas/interface/jsdl-smoa-comp-ares.xsd
Index: /trunk/src/modules/qcg_comp_client/schemas/jsdl-qcg-comp-staging.xsd
===================================================================
--- /trunk/src/modules/qcg_comp_client/schemas/jsdl-qcg-comp-staging.xsd	(revision 2)
+++ /trunk/src/modules/qcg_comp_client/schemas/jsdl-qcg-comp-staging.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/jsdl-qcg-comp-staging.xsd
+link ../../../../schemas/interface/jsdl-smoa-comp-staging.xsd
Index: /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-ares.xsd
===================================================================
--- /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-ares.xsd	(revision 2)
+++ /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-ares.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/qcg-comp-ares.xsd
+link ../../../../schemas/interface/smoa-comp-ares.xsd
Index: /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-socks.wsdl
===================================================================
--- /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-socks.wsdl	(revision 2)
+++ /trunk/src/modules/qcg_comp_client/schemas/qcg-comp-socks.wsdl	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/qcg-comp-socks.wsdl
+link ../../../../schemas/interface/smoa-comp-socks.wsdl
Index: /trunk/src/modules/qcg_comp_client/schemas/jsdl-qcg-comp-factory.xsd
===================================================================
--- /trunk/src/modules/qcg_comp_client/schemas/jsdl-qcg-comp-factory.xsd	(revision 2)
+++ /trunk/src/modules/qcg_comp_client/schemas/jsdl-qcg-comp-factory.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/jsdl-qcg-comp-factory.xsd
+link ../../../../schemas/interface/jsdl-smoa-comp-factory.xsd
Index: /trunk/src/modules/qcg_comp_service/faults.c
===================================================================
--- /trunk/src/modules/qcg_comp_service/faults.c	(revision 3)
+++ /trunk/src/modules/qcg_comp_service/faults.c	(revision 1)
@@ -54,15 +54,15 @@
 		case bes_management_NotAuthorizedFault: return "NotAuthorizedFault";
 
-		case smoa_comp_ares_NotAuthorizedFault: return "NotAuthorizedFault";
-		case smoa_comp_ares_UnsupportedFeatureFault: return "UnsupportedFeatureFault";
-		case smoa_comp_ares_InvalidRequestMessageFault: return "InvalidRequestMessageFault";
-		case smoa_comp_ares_UnknownReservationIdentifierFault: return "UnknownReservationIdentifierFault";
-		case smoa_comp_ares_NoSlotsAvailableFault: return "NoSlotsAvailableFault";
-		case smoa_comp_ares_NoMatchingResourcesFault: return "NoMatchingResourcesFault";
-
-		case smoa_comp_staging_DeleteOnTerminationFault: return "DeleteOnTerminationFault";
-		case smoa_comp_staging_FileNotFoundFault: return "FileNotFoundFault";
-		case smoa_comp_staging_StagingFault: return "StagingFault";
-		case smoa_comp_staging_NotAuthorizedFault: return "NotAuthorizedFault";
+		case qcg_comp_ares_NotAuthorizedFault: return "NotAuthorizedFault";
+		case qcg_comp_ares_UnsupportedFeatureFault: return "UnsupportedFeatureFault";
+		case qcg_comp_ares_InvalidRequestMessageFault: return "InvalidRequestMessageFault";
+		case qcg_comp_ares_UnknownReservationIdentifierFault: return "UnknownReservationIdentifierFault";
+		case qcg_comp_ares_NoSlotsAvailableFault: return "NoSlotsAvailableFault";
+		case qcg_comp_ares_NoMatchingResourcesFault: return "NoMatchingResourcesFault";
+
+		case qcg_comp_staging_DeleteOnTerminationFault: return "DeleteOnTerminationFault";
+		case qcg_comp_staging_FileNotFoundFault: return "FileNotFoundFault";
+		case qcg_comp_staging_StagingFault: return "StagingFault";
+		case qcg_comp_staging_NotAuthorizedFault: return "NotAuthorizedFault";
 
 		case RSyncIOError: return "RSyncIOError";
@@ -95,7 +95,7 @@
 		case bes_factory_NotAcceptingNewActivitiesFault:
 		case bes_factory_CantApplyOperationToCurrentStateFault:
-		case smoa_comp_staging_DeleteOnTerminationFault:
-		case smoa_comp_staging_StagingFault:
-		case smoa_comp_ares_NoSlotsAvailableFault:
+		case qcg_comp_staging_DeleteOnTerminationFault:
+		case qcg_comp_staging_StagingFault:
+		case qcg_comp_ares_NoSlotsAvailableFault:
 			return SM_RECEIVER_FAULT;
 	}
@@ -216,6 +216,6 @@
 				case SMC_STAGE_IN:
 					state->state = bes_factory__ActivityStateEnumeration__Pending;
-					state->__union_ActivityStatusType = SOAP_UNION__bes_factory__union_ActivityStatusType_smoa_comp_factory__Stage_in;
-					if (!(state_union.smoa_comp_factory__Stage_in = super_transport->transport_malloc(super_transport, sizeof(struct _smoa_comp_factory__Stage_in))))
+					state->__union_ActivityStatusType = SOAP_UNION__bes_factory__union_ActivityStatusType_qcg_comp_factory__Stage_in;
+					if (!(state_union.qcg_comp_factory__Stage_in = super_transport->transport_malloc(super_transport, sizeof(struct _qcg_comp_factory__Stage_in))))
 						goto fault;
 					state->union_ActivityStatusType = state_union;
@@ -223,6 +223,6 @@
 				case SMC_HELD:
 					state->state = bes_factory__ActivityStateEnumeration__Pending;
-					state->__union_ActivityStatusType = SOAP_UNION__bes_factory__union_ActivityStatusType_smoa_comp_factory__Held;
-					if (!(state_union.smoa_comp_factory__Held = super_transport->transport_malloc(super_transport, sizeof(struct _smoa_comp_factory__Held))))
+					state->__union_ActivityStatusType = SOAP_UNION__bes_factory__union_ActivityStatusType_qcg_comp_factory__Held;
+					if (!(state_union.qcg_comp_factory__Held = super_transport->transport_malloc(super_transport, sizeof(struct _qcg_comp_factory__Held))))
 						goto fault;
 					state->union_ActivityStatusType = state_union;
@@ -230,6 +230,6 @@
 				case SMC_QUEUED:
 					state->state = bes_factory__ActivityStateEnumeration__Pending;
-					state->__union_ActivityStatusType = SOAP_UNION__bes_factory__union_ActivityStatusType_smoa_comp_factory__Queued;
-					if (!(state_union.smoa_comp_factory__Queued = super_transport->transport_malloc(super_transport, sizeof(struct _smoa_comp_factory__Queued))))
+					state->__union_ActivityStatusType = SOAP_UNION__bes_factory__union_ActivityStatusType_qcg_comp_factory__Queued;
+					if (!(state_union.qcg_comp_factory__Queued = super_transport->transport_malloc(super_transport, sizeof(struct _qcg_comp_factory__Queued))))
 						goto fault;
 					state->union_ActivityStatusType = state_union;
@@ -237,6 +237,6 @@
 				case SMC_EXECUTING:
 					state->state = bes_factory__ActivityStateEnumeration__Running;
-					state->__union_ActivityStatusType = SOAP_UNION__bes_factory__union_ActivityStatusType_smoa_comp_factory__Executing;
-					if (!(state_union.smoa_comp_factory__Executing = super_transport->transport_malloc(super_transport, sizeof(struct _smoa_comp_factory__Executing))))
+					state->__union_ActivityStatusType = SOAP_UNION__bes_factory__union_ActivityStatusType_qcg_comp_factory__Executing;
+					if (!(state_union.qcg_comp_factory__Executing = super_transport->transport_malloc(super_transport, sizeof(struct _qcg_comp_factory__Executing))))
 						goto fault;
 					state->union_ActivityStatusType = state_union;
@@ -244,6 +244,6 @@
 				case SMC_SUSPENDED:
 					state->state = bes_factory__ActivityStateEnumeration__Running;
-					state->__union_ActivityStatusType = SOAP_UNION__bes_factory__union_ActivityStatusType_smoa_comp_factory__Suspended;
-					if (!(state_union.smoa_comp_factory__Suspended = super_transport->transport_malloc(super_transport, sizeof(struct _smoa_comp_factory__Suspended))))
+					state->__union_ActivityStatusType = SOAP_UNION__bes_factory__union_ActivityStatusType_qcg_comp_factory__Suspended;
+					if (!(state_union.qcg_comp_factory__Suspended = super_transport->transport_malloc(super_transport, sizeof(struct _qcg_comp_factory__Suspended))))
 						goto fault;
 					state->union_ActivityStatusType = state_union;
@@ -251,6 +251,6 @@
 				case SMC_STAGE_OUT:
 					state->state = bes_factory__ActivityStateEnumeration__Running;
-					state->__union_ActivityStatusType = SOAP_UNION__bes_factory__union_ActivityStatusType_smoa_comp_factory__Stage_out;
-					if (!(state_union.smoa_comp_factory__Stage_out = super_transport->transport_malloc(super_transport, sizeof(struct _smoa_comp_factory__Stage_out))))
+					state->__union_ActivityStatusType = SOAP_UNION__bes_factory__union_ActivityStatusType_qcg_comp_factory__Stage_out;
+					if (!(state_union.qcg_comp_factory__Stage_out = super_transport->transport_malloc(super_transport, sizeof(struct _qcg_comp_factory__Stage_out))))
 						goto fault;
 					state->union_ActivityStatusType = state_union;
@@ -321,12 +321,12 @@
 			break;
 		}
-		case smoa_comp_ares_NotAuthorizedFault:
-		{
-			struct smoa_comp_ares__NotAuthorizedFaultType *d;
-
-			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
-			soap_default_smoa_comp_ares__NotAuthorizedFaultType(transport->soap, d);
-
-			detail->smoa_comp_ares__NotAuthorizedFault = d;
+		case qcg_comp_ares_NotAuthorizedFault:
+		{
+			struct qcg_comp_ares__NotAuthorizedFaultType *d;
+
+			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
+			soap_default_qcg_comp_ares__NotAuthorizedFaultType(transport->soap, d);
+
+			detail->qcg_comp_ares__NotAuthorizedFault = d;
 
 			assert(SM_VALUE_IS_STRING(data[0]));
@@ -335,12 +335,12 @@
 			break;
 		}
-		case smoa_comp_ares_NoSlotsAvailableFault:
-		{
-			struct smoa_comp_ares__NoSlotsAvailableFaultType *d;
-
-			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
-			soap_default_smoa_comp_ares__NoSlotsAvailableFaultType(transport->soap, d);
-
-			detail->smoa_comp_ares__NoSlotsAvailableFault = d;
+		case qcg_comp_ares_NoSlotsAvailableFault:
+		{
+			struct qcg_comp_ares__NoSlotsAvailableFaultType *d;
+
+			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
+			soap_default_qcg_comp_ares__NoSlotsAvailableFaultType(transport->soap, d);
+
+			detail->qcg_comp_ares__NoSlotsAvailableFault = d;
 
 			assert(SM_VALUE_IS_STRING(data[0]));
@@ -349,12 +349,12 @@
 			break;
 		}
-		case smoa_comp_ares_NoMatchingResourcesFault:
-		{
-			struct smoa_comp_ares__NoMatchingResourcesFaultType *d;
-
-			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
-			soap_default_smoa_comp_ares__NoMatchingResourcesFaultType(transport->soap, d);
-
-			detail->smoa_comp_ares__NoMatchingResourcesFault = d;
+		case qcg_comp_ares_NoMatchingResourcesFault:
+		{
+			struct qcg_comp_ares__NoMatchingResourcesFaultType *d;
+
+			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
+			soap_default_qcg_comp_ares__NoMatchingResourcesFaultType(transport->soap, d);
+
+			detail->qcg_comp_ares__NoMatchingResourcesFault = d;
 
 			assert(SM_VALUE_IS_STRING(data[0]));
@@ -363,7 +363,7 @@
 			break;
 		}
-		case smoa_comp_ares_UnknownReservationIdentifierFault:
-		{
-			struct smoa_comp_ares__UnknownReservationIdentifierFaultType *d;
+		case qcg_comp_ares_UnknownReservationIdentifierFault:
+		{
+			struct qcg_comp_ares__UnknownReservationIdentifierFaultType *d;
 
 			if (!data) {
@@ -376,18 +376,18 @@
 
 			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
-			soap_default_smoa_comp_ares__UnknownReservationIdentifierFaultType(transport->soap, d);
+			soap_default_qcg_comp_ares__UnknownReservationIdentifierFaultType(transport->soap, d);
 
 			SM_TRY_NOT(d->Message = super_transport->transport_strdup(super_transport, data[0]->vstring));
 
-			detail->smoa_comp_ares__UnknownReservationIdentifierFault = d;
-			break;
-		}
-		case smoa_comp_ares_UnsupportedFeatureFault:
-		{
-			struct smoa_comp_ares__UnsupportedFeatureFaultType *d;
+			detail->qcg_comp_ares__UnknownReservationIdentifierFault = d;
+			break;
+		}
+		case qcg_comp_ares_UnsupportedFeatureFault:
+		{
+			struct qcg_comp_ares__UnsupportedFeatureFaultType *d;
 			size_t count, i;
 
 			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
-			soap_default_smoa_comp_ares__UnsupportedFeatureFaultType(transport->soap, d);
+			soap_default_qcg_comp_ares__UnsupportedFeatureFaultType(transport->soap, d);
 
 			count = sm_value_count(data);
@@ -404,10 +404,10 @@
 			}
 
-			detail->smoa_comp_ares__UnsupportedFeatureFault = d;
-			break;
-		}
-		case smoa_comp_ares_InvalidRequestMessageFault:
-		{
-			struct smoa_comp_ares__InvalidRequestMessageFaultType *d;
+			detail->qcg_comp_ares__UnsupportedFeatureFault = d;
+			break;
+		}
+		case qcg_comp_ares_InvalidRequestMessageFault:
+		{
+			struct qcg_comp_ares__InvalidRequestMessageFaultType *d;
 			size_t count, i;
 
@@ -419,5 +419,5 @@
 
 			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
-			soap_default_smoa_comp_ares__InvalidRequestMessageFaultType(transport->soap, d);
+			soap_default_qcg_comp_ares__InvalidRequestMessageFaultType(transport->soap, d);
 
 			assert(SM_VALUE_IS_STRING(data[0]));
@@ -439,8 +439,8 @@
 			}
 
-			detail->smoa_comp_ares__InvalidRequestMessageFault = d;
-			break;
-		}
-		case smoa_comp_staging_DeleteOnTerminationFault:
+			detail->qcg_comp_ares__InvalidRequestMessageFault = d;
+			break;
+		}
+		case qcg_comp_staging_DeleteOnTerminationFault:
 		{
 			size_t count = sm_value_count(data);
@@ -451,9 +451,9 @@
 			assert(SM_VALUE_IS_STRING(data[0]));
 
-			SM_TRY_NOT(detail->smoa_comp_staging__DeleteOnTerminationFault = super_transport->transport_malloc(super_transport, sizeof(*detail->smoa_comp_staging__DeleteOnTerminationFault)));
-			SM_TRY_NOT(detail->smoa_comp_staging__DeleteOnTerminationFault->File = super_transport->transport_strdup(super_transport, data[0]->vstring));
-			break;
-		}
-		case smoa_comp_staging_FileNotFoundFault:
+			SM_TRY_NOT(detail->qcg_comp_staging__DeleteOnTerminationFault = super_transport->transport_malloc(super_transport, sizeof(*detail->qcg_comp_staging__DeleteOnTerminationFault)));
+			SM_TRY_NOT(detail->qcg_comp_staging__DeleteOnTerminationFault->File = super_transport->transport_strdup(super_transport, data[0]->vstring));
+			break;
+		}
+		case qcg_comp_staging_FileNotFoundFault:
 		{
 			size_t count = sm_value_count(data);
@@ -463,9 +463,9 @@
 			}
 			assert(SM_VALUE_IS_STRING(data[0]));
-			SM_TRY_NOT(detail->smoa_comp_staging__FileNotFoundFault = super_transport->transport_malloc(super_transport, sizeof(*detail->smoa_comp_staging__FileNotFoundFault)));
-			SM_TRY_NOT(detail->smoa_comp_staging__FileNotFoundFault->__item = super_transport->transport_strdup(super_transport, data[0]->vstring));
-			break;
-		}
-		case smoa_comp_staging_StagingFault:
+			SM_TRY_NOT(detail->qcg_comp_staging__FileNotFoundFault = super_transport->transport_malloc(super_transport, sizeof(*detail->qcg_comp_staging__FileNotFoundFault)));
+			SM_TRY_NOT(detail->qcg_comp_staging__FileNotFoundFault->__item = super_transport->transport_strdup(super_transport, data[0]->vstring));
+			break;
+		}
+		case qcg_comp_staging_StagingFault:
 		{
 			size_t count = sm_value_count(data);
@@ -476,34 +476,34 @@
 			assert(SM_VALUE_IS_STRING(data[0]));
 
-			SM_TRY_NOT(detail->smoa_comp_staging__StagingFault = super_transport->transport_malloc(super_transport, sizeof(*detail->smoa_comp_staging__StagingFault)));
-			SM_TRY_NOT(detail->smoa_comp_staging__StagingFault->__item = super_transport->transport_strdup(super_transport, data[0]->vstring));
-			break;
-		}
-		case smoa_comp_staging_NotAuthorizedFault:
-		{
-			struct smoa_comp_staging__NotAuthorizedFaultType *d;
-
-			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
-			soap_default_smoa_comp_staging__NotAuthorizedFaultType(transport->soap, d);
-
-			detail->smoa_comp_staging__NotAuthorizedFault = d;
+			SM_TRY_NOT(detail->qcg_comp_staging__StagingFault = super_transport->transport_malloc(super_transport, sizeof(*detail->qcg_comp_staging__StagingFault)));
+			SM_TRY_NOT(detail->qcg_comp_staging__StagingFault->__item = super_transport->transport_strdup(super_transport, data[0]->vstring));
+			break;
+		}
+		case qcg_comp_staging_NotAuthorizedFault:
+		{
+			struct qcg_comp_staging__NotAuthorizedFaultType *d;
+
+			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
+			soap_default_qcg_comp_staging__NotAuthorizedFaultType(transport->soap, d);
+
+			detail->qcg_comp_staging__NotAuthorizedFault = d;
 			break;
 		}
 		case RSyncIOError:
 		{
-			struct smoa_comp_rsync__IOFaultType *d;
-
-			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
-
-			detail->smoa_comp_rsync__IOFault = d;
+			struct qcg_comp_rsync__IOFaultType *d;
+
+			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
+
+			detail->qcg_comp_rsync__IOFault = d;
 			break;
 		}
 		case RSyncInvalidPathError:
 		{
-			struct smoa_comp_rsync__InvalidPathFaultType *d;
-
-			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
-
-			detail->smoa_comp_rsync__InvalidPathFault = d;
+			struct qcg_comp_rsync__InvalidPathFaultType *d;
+
+			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
+
+			detail->qcg_comp_rsync__InvalidPathFault = d;
 			break;
 		}
@@ -511,9 +511,9 @@
 		case RSyncAttachmentNotFound:
 		{
-			struct smoa_comp_rsync__InternalFaultType *d;
-
-			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
-
-			detail->smoa_comp_rsync__InternalFault = d;
+			struct qcg_comp_rsync__InternalFaultType *d;
+
+			SM_TRY_NOT(d = super_transport->transport_malloc(super_transport, sizeof(*d)));
+
+			detail->qcg_comp_rsync__InternalFault = d;
 			break;
 		}
Index: /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-rsync.wsdl
===================================================================
--- /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-rsync.wsdl	(revision 2)
+++ /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-rsync.wsdl	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/qcg-comp-rsync.wsdl
+link ../../../../schemas/interface/smoa-comp-rsync.wsdl
Index: /trunk/src/modules/qcg_comp_service/schemas/jsdl-qcg-comp-ares.xsd
===================================================================
--- /trunk/src/modules/qcg_comp_service/schemas/jsdl-qcg-comp-ares.xsd	(revision 2)
+++ /trunk/src/modules/qcg_comp_service/schemas/jsdl-qcg-comp-ares.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/jsdl-qcg-comp-ares.xsd
+link ../../../../schemas/interface/jsdl-smoa-comp-ares.xsd
Index: /trunk/src/modules/qcg_comp_service/schemas/jsdl-qcg-comp-staging.xsd
===================================================================
--- /trunk/src/modules/qcg_comp_service/schemas/jsdl-qcg-comp-staging.xsd	(revision 2)
+++ /trunk/src/modules/qcg_comp_service/schemas/jsdl-qcg-comp-staging.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/jsdl-qcg-comp-staging.xsd
+link ../../../../schemas/interface/jsdl-smoa-comp-staging.xsd
Index: /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-ares.xsd
===================================================================
--- /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-ares.xsd	(revision 2)
+++ /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-ares.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/qcg-comp-ares.xsd
+link ../../../../schemas/interface/smoa-comp-ares.xsd
Index: /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-socks.wsdl
===================================================================
--- /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-socks.wsdl	(revision 2)
+++ /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-socks.wsdl	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/qcg-comp-socks.wsdl
+link ../../../../schemas/interface/smoa-comp-socks.wsdl
Index: /trunk/src/modules/qcg_comp_service/schemas/jsdl-qcg-comp-factory.xsd
===================================================================
--- /trunk/src/modules/qcg_comp_service/schemas/jsdl-qcg-comp-factory.xsd	(revision 2)
+++ /trunk/src/modules/qcg_comp_service/schemas/jsdl-qcg-comp-factory.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/jsdl-qcg-comp-factory.xsd
+link ../../../../schemas/interface/jsdl-smoa-comp-factory.xsd
Index: /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-ares.wsdl
===================================================================
--- /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-ares.wsdl	(revision 2)
+++ /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-ares.wsdl	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/qcg-comp-ares.wsdl
+link ../../../../schemas/interface/smoa-comp-ares.wsdl
Index: /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-staging.wsdl
===================================================================
--- /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-staging.wsdl	(revision 2)
+++ /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-staging.wsdl	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/qcg-comp-staging.wsdl
+link ../../../../schemas/interface/smoa-comp-staging.wsdl
Index: /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-factory.xsd
===================================================================
--- /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-factory.xsd	(revision 2)
+++ /trunk/src/modules/qcg_comp_service/schemas/qcg-comp-factory.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../../../schemas/interface/qcg-comp-factory.xsd
+link ../../../../schemas/interface/smoa-comp-factory.xsd
Index: /trunk/src/modules/qcg_coordinator_client/qcgcoordinator.wsdl
===================================================================
--- /trunk/src/modules/qcg_coordinator_client/qcgcoordinator.wsdl	(revision 2)
+++ /trunk/src/modules/qcg_coordinator_client/qcgcoordinator.wsdl	(revision 1)
@@ -1,1 +1,1 @@
-link ../qcg_coordinator_service/stub/qcgcoordinator.wsdl
+link ../smoa_coordinator_service/stub/smoacoordinator.wsdl
Index: /trunk/src/xmlstructs/jsdl-qcg-comp-factory.xsd
===================================================================
--- /trunk/src/xmlstructs/jsdl-qcg-comp-factory.xsd	(revision 2)
+++ /trunk/src/xmlstructs/jsdl-qcg-comp-factory.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../schemas/interface/jsdl-qcg-comp-factory.xsd
+link ../../schemas/interface/jsdl-smoa-comp-factory.xsd
Index: /trunk/src/xmlstructs/jsdl-qcg-comp-ares.xsd
===================================================================
--- /trunk/src/xmlstructs/jsdl-qcg-comp-ares.xsd	(revision 2)
+++ /trunk/src/xmlstructs/jsdl-qcg-comp-ares.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../schemas/interface/jsdl-qcg-comp-ares.xsd
+link ../../schemas/interface/jsdl-smoa-comp-ares.xsd
Index: /trunk/src/xmlstructs/jsdl-qcg-comp-staging.xsd
===================================================================
--- /trunk/src/xmlstructs/jsdl-qcg-comp-staging.xsd	(revision 2)
+++ /trunk/src/xmlstructs/jsdl-qcg-comp-staging.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../schemas/interface/jsdl-qcg-comp-staging.xsd
+link ../../schemas/interface/jsdl-smoa-comp-staging.xsd
Index: /trunk/src/xmlstructs/qcg-comp-factory.xsd
===================================================================
--- /trunk/src/xmlstructs/qcg-comp-factory.xsd	(revision 2)
+++ /trunk/src/xmlstructs/qcg-comp-factory.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../schemas/interface/qcg-comp-factory.xsd
+link ../../schemas/interface/smoa-comp-factory.xsd
Index: /trunk/src/xmlstructs/qcg-comp-ares.xsd
===================================================================
--- /trunk/src/xmlstructs/qcg-comp-ares.xsd	(revision 2)
+++ /trunk/src/xmlstructs/qcg-comp-ares.xsd	(revision 1)
@@ -1,1 +1,1 @@
-link ../../schemas/interface/qcg-comp-ares.xsd
+link ../../schemas/interface/smoa-comp-ares.xsd
Index: /trunk/src/rsync/qcg-comp-rsync.wsdl
===================================================================
--- /trunk/src/rsync/qcg-comp-rsync.wsdl	(revision 2)
+++ /trunk/src/rsync/qcg-comp-rsync.wsdl	(revision 1)
@@ -1,1 +1,1 @@
-link ../../schemas/interface/qcg-comp-rsync.wsdl
+link ../../schemas/interface/smoa-comp-rsync.wsdl
